diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/11_plus/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/11_plus/create.sql
index 1c6aa7b72..6c3164c37 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/11_plus/create.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/11_plus/create.sql
@@ -4,7 +4,7 @@
 {% set is_columns = [] %}
 {% set exclude_quoting = ['search_path'] %}
 {% if data %}
-CREATE FUNCTION {{ conn|qtIdent(data.pronamespace, data.name) }}({% if data.proargnames %}{{data.proargnames}}{% endif %})
+CREATE OR REPLACE FUNCTION {{ conn|qtIdent(data.pronamespace, data.name) }}({% if data.proargnames %}{{data.proargnames}}{% endif %})
     RETURNS{% if data.proretset and data.prorettypename.startswith('SETOF ') %} {{ data.prorettypename }}{% elif data.proretset %} SETOF {{ data.prorettypename }}{% else %} {{ data.prorettypename }}{% endif %}
 
     LANGUAGE {{ data.lanname|qtLiteral }}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/9.2_plus/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/9.2_plus/create.sql
index 3f93ced70..b14effa9e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/9.2_plus/create.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/9.2_plus/create.sql
@@ -4,7 +4,7 @@
 {% set is_columns = [] %}
 {% set exclude_quoting = ['search_path'] %}
 {% if data %}
-CREATE FUNCTION {{ conn|qtIdent(data.pronamespace, data.name) }}()
+CREATE OR REPLACE FUNCTION {{ conn|qtIdent(data.pronamespace, data.name) }}()
     RETURNS{% if data.proretset and data.prorettypename.startswith('SETOF ') %} {{ data.prorettypename }}{% elif data.proretset %} SETOF {{ data.prorettypename }}{% else %} {{ data.prorettypename }}{% endif %}
 
     LANGUAGE {{ data.lanname|qtLiteral }}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/9.5_plus/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/9.5_plus/create.sql
index 1c6aa7b72..6c3164c37 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/9.5_plus/create.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/9.5_plus/create.sql
@@ -4,7 +4,7 @@
 {% set is_columns = [] %}
 {% set exclude_quoting = ['search_path'] %}
 {% if data %}
-CREATE FUNCTION {{ conn|qtIdent(data.pronamespace, data.name) }}({% if data.proargnames %}{{data.proargnames}}{% endif %})
+CREATE OR REPLACE FUNCTION {{ conn|qtIdent(data.pronamespace, data.name) }}({% if data.proargnames %}{{data.proargnames}}{% endif %})
     RETURNS{% if data.proretset and data.prorettypename.startswith('SETOF ') %} {{ data.prorettypename }}{% elif data.proretset %} SETOF {{ data.prorettypename }}{% else %} {{ data.prorettypename }}{% endif %}
 
     LANGUAGE {{ data.lanname|qtLiteral }}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/default/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/default/create.sql
index bdc5f6a40..87be90cd3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/default/create.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/pg/sql/default/create.sql
@@ -4,7 +4,7 @@
 {% set is_columns = [] %}
 {% set exclude_quoting = ['search_path'] %}
 {% if data %}
-CREATE FUNCTION {{ conn|qtIdent(data.pronamespace, data.name) }}()
+CREATE OR REPLACE FUNCTION {{ conn|qtIdent(data.pronamespace, data.name) }}()
     RETURNS{% if data.proretset and data.prorettypename.startswith('SETOF ') %} {{ data.prorettypename }}{% elif data.proretset %} SETOF {{ data.prorettypename }}{% else %} {{ data.prorettypename }}{% endif %}
 
     LANGUAGE {{ data.lanname|qtLiteral }}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/ppas/sql/9.2_plus/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/ppas/sql/9.2_plus/create.sql
index 4d5ad2cf4..0bf221766 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/ppas/sql/9.2_plus/create.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/ppas/sql/9.2_plus/create.sql
@@ -4,7 +4,7 @@
 {% set is_columns = [] %}
 {% set exclude_quoting = ['search_path'] %}
 {% if data %}
-CREATE FUNCTION {{ conn|qtIdent(data.pronamespace, data.name) }}()
+CREATE OR REPLACE FUNCTION {{ conn|qtIdent(data.pronamespace, data.name) }}()
     RETURNS{% if data.proretset and data.prorettypename.startswith('SETOF ') %} {{ data.prorettypename }}{% elif data.proretset %} SETOF {{ data.prorettypename }}{% else %} {{ data.prorettypename }}{% endif %}
 
     LANGUAGE {{ data.lanname|qtLiteral }}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/ppas/sql/9.5_plus/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/ppas/sql/9.5_plus/create.sql
index e5f53d888..afc31f181 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/ppas/sql/9.5_plus/create.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/ppas/sql/9.5_plus/create.sql
@@ -4,7 +4,7 @@
 {% set is_columns = [] %}
 {% set exclude_quoting = ['search_path'] %}
 {% if data %}
-CREATE FUNCTION {{ conn|qtIdent(data.pronamespace, data.name) }}()
+CREATE OR REPLACE FUNCTION {{ conn|qtIdent(data.pronamespace, data.name) }}()
     RETURNS{% if data.proretset and data.prorettypename.startswith('SETOF ') %} {{ data.prorettypename }}{% elif data.proretset %} SETOF {{ data.prorettypename }}{% else %} {{ data.prorettypename }}{% endif %}
 
     LANGUAGE {{ data.lanname|qtLiteral }}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/ppas/sql/default/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/ppas/sql/default/create.sql
index bdc5f6a40..87be90cd3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/ppas/sql/default/create.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_functions/ppas/sql/default/create.sql
@@ -4,7 +4,7 @@
 {% set is_columns = [] %}
 {% set exclude_quoting = ['search_path'] %}
 {% if data %}
-CREATE FUNCTION {{ conn|qtIdent(data.pronamespace, data.name) }}()
+CREATE OR REPLACE FUNCTION {{ conn|qtIdent(data.pronamespace, data.name) }}()
     RETURNS{% if data.proretset and data.prorettypename.startswith('SETOF ') %} {{ data.prorettypename }}{% elif data.proretset %} SETOF {{ data.prorettypename }}{% else %} {{ data.prorettypename }}{% endif %}
 
     LANGUAGE {{ data.lanname|qtLiteral }}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_comment.sql
index 5f2e770c6..9538dde02 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_comment.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_set_1.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_set_1.sql
index bf4885285..87e1f4bd1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_set_1.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_set_1.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_set_2.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_set_2.sql
index c14baa20a..351d0ba11 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_set_2.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_set_2.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_set_3.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_set_3.sql
index 7caebc3b7..fd1d62aad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_set_3.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_ptrig_set_3.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_event_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_event_trigger_full.sql
index 1bdbb6e01..fdd0225b2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_event_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_event_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF event_trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_plain_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_plain_trigger.sql
index 191e59c8e..435237a01 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_plain_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_plain_trigger.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_plain_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_plain_trigger_full.sql
index 3a51119ea..5d8d93001 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_plain_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_plain_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_comment.sql
index 5f2e770c6..9538dde02 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_comment.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_set_1.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_set_1.sql
index bf4885285..87e1f4bd1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_set_1.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_set_1.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_set_2.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_set_2.sql
index c14baa20a..351d0ba11 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_set_2.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_set_2.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_set_3.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_set_3.sql
index 7caebc3b7..fd1d62aad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_set_3.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_ptrig_set_3.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_event_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_event_trigger_full.sql
index 8bdba7063..d4a84a7ce 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_event_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_event_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF event_trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_plain_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_plain_trigger.sql
index 191e59c8e..435237a01 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_plain_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_plain_trigger.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_plain_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_plain_trigger_full.sql
index bf2069e8b..be4e83c97 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_plain_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_plain_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_comment.sql
index 5f2e770c6..9538dde02 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_comment.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_set_1.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_set_1.sql
index bf4885285..87e1f4bd1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_set_1.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_set_1.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_set_2.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_set_2.sql
index c14baa20a..351d0ba11 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_set_2.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_set_2.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_set_3.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_set_3.sql
index 7caebc3b7..fd1d62aad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_set_3.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/alter_ptrig_set_3.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/create_event_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/create_event_trigger_full.sql
index 1bdbb6e01..fdd0225b2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/create_event_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/create_event_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF event_trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/create_plain_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/create_plain_trigger.sql
index 191e59c8e..435237a01 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/create_plain_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/create_plain_trigger.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/create_plain_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/create_plain_trigger_full.sql
index 3a51119ea..5d8d93001 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/create_plain_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.5_plus/create_plain_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_comment.sql
index 5f2e770c6..9538dde02 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_comment.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_set_1.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_set_1.sql
index bf4885285..87e1f4bd1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_set_1.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_set_1.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_set_2.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_set_2.sql
index c14baa20a..351d0ba11 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_set_2.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_set_2.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_set_3.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_set_3.sql
index 7caebc3b7..fd1d62aad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_set_3.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/alter_ptrig_set_3.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/create_event_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/create_event_trigger_full.sql
index 1bdbb6e01..fdd0225b2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/create_event_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/create_event_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF event_trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/create_plain_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/create_plain_trigger.sql
index 191e59c8e..435237a01 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/create_plain_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/create_plain_trigger.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/create_plain_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/create_plain_trigger_full.sql
index 3a51119ea..5d8d93001 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/create_plain_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/9.6_plus/create_plain_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_comment.sql
index 5f2e770c6..9538dde02 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_comment.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_set_1.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_set_1.sql
index bf4885285..87e1f4bd1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_set_1.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_set_1.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_set_2.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_set_2.sql
index c14baa20a..351d0ba11 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_set_2.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_set_2.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_set_3.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_set_3.sql
index 7caebc3b7..fd1d62aad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_set_3.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/alter_ptrig_set_3.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/create_event_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/create_event_trigger_full.sql
index 1bdbb6e01..fdd0225b2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/create_event_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/create_event_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF event_trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/create_plain_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/create_plain_trigger.sql
index 191e59c8e..435237a01 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/create_plain_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/create_plain_trigger.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/create_plain_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/create_plain_trigger_full.sql
index 3a51119ea..5d8d93001 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/create_plain_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/default/create_plain_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_comment.sql
index 477d57210..47a2376b1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_comment.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_set_1.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_set_1.sql
index 91f3b188b..a753ef0d0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_set_1.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_set_1.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_set_2.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_set_2.sql
index 7c7b337d3..16eee08ec 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_set_2.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_set_2.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_set_3.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_set_3.sql
index f5de4196a..15836602e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_set_3.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_ptrig_set_3.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_event_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_event_trigger_full.sql
index 2f37a0c89..843cd230e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_event_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_event_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF event_trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_plain_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_plain_trigger.sql
index 99e66f526..2d7383c6d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_plain_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_plain_trigger.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_plain_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_plain_trigger_full.sql
index 8ba2ad109..5a7c7b5f8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_plain_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_plain_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_comment.sql
index 477d57210..47a2376b1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_comment.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_set_1.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_set_1.sql
index 91f3b188b..a753ef0d0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_set_1.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_set_1.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_set_2.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_set_2.sql
index 7c7b337d3..16eee08ec 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_set_2.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_set_2.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_set_3.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_set_3.sql
index f5de4196a..15836602e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_set_3.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_ptrig_set_3.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_event_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_event_trigger_full.sql
index c9dc3d5d6..a358edd13 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_event_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_event_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF event_trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_plain_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_plain_trigger.sql
index 99e66f526..2d7383c6d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_plain_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_plain_trigger.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_plain_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_plain_trigger_full.sql
index d278a4485..0b16c91c1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_plain_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_plain_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_comment.sql
index 477d57210..47a2376b1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_comment.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_set_1.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_set_1.sql
index 91f3b188b..a753ef0d0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_set_1.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_set_1.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_set_2.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_set_2.sql
index 7c7b337d3..16eee08ec 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_set_2.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_set_2.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_set_3.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_set_3.sql
index f5de4196a..15836602e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_set_3.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_ptrig_set_3.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_event_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_event_trigger_full.sql
index 2f37a0c89..843cd230e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_event_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_event_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF event_trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_plain_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_plain_trigger.sql
index 99e66f526..2d7383c6d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_plain_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_plain_trigger.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_plain_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_plain_trigger_full.sql
index 2b1d9f6ff..a6e688057 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_plain_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_plain_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_comment.sql
index 477d57210..47a2376b1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_comment.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_set_1.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_set_1.sql
index 91f3b188b..a753ef0d0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_set_1.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_set_1.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_set_2.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_set_2.sql
index 7c7b337d3..16eee08ec 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_set_2.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_set_2.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_set_3.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_set_3.sql
index f5de4196a..15836602e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_set_3.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_ptrig_set_3.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 123
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_event_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_event_trigger_full.sql
index 2f37a0c89..843cd230e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_event_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_event_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF event_trigger
     LANGUAGE 'plpgsql'
     COST 1234
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_plain_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_plain_trigger.sql
index 99e66f526..2d7383c6d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_plain_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_plain_trigger.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
     LANGUAGE 'plpgsql'
     COST 100
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_plain_trigger_full.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_plain_trigger_full.sql
index 8ba2ad109..5a7c7b5f8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_plain_trigger_full.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_plain_trigger_full.sql
@@ -2,7 +2,7 @@
 
 -- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
-CREATE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
+CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS SETOF trigger
     LANGUAGE 'plpgsql'
     COST 1234
